<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MInputXIMArgIC Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MInputXIMArgIC Struct Reference<br/>
<small>
[<a class="el" href="group__m17nInputMethodWin.html">Input Method (GUI)</a>]</small>
</h1><!-- doxytag: class="MInputXIMArgIC" -->
<p>Structure pointed to by the argument <b>arg</b> of the function <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="Create an input context.">minput_create_ic()</a>.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">XIMStyle&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIC.html#a9f945020a38d416432b2a1b1e16f86ed">input_style</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Window&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIC.html#a9e459828b3f36cf7a30beea663a513bf">client_win</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">Window&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIC.html#ad96f62a8c4719e174573dfc69eff23cc">focus_win</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">XVaNestedList&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIC.html#acf01c48f0adfc301e9d368a06c3a6bc1">preedit_attrs</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">XVaNestedList&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputXIMArgIC.html#a1a9ae7b2c14f94d82f544a76a720ced7">status_attrs</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Structure pointed to by the argument <b>arg</b> of the function <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="Create an input context.">minput_create_ic()</a>. </p>
<p>The type <a class="el" href="structMInputXIMArgIC.html" title="Structure pointed to by the argument arg of the function minput_create_ic().">MInputXIMArgIC</a> is the structure pointed to by the argument <b>arg</b> of the function <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="Create an input context.">minput_create_ic()</a> for the foreign input method of name <a class="el" href="group__m17nInputMethodWin.html#ga4e8d34da33638639ecc7386914def510" title="Symbol of the name &quot;xim&quot;.">Mxim</a>. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a9f945020a38d416432b2a1b1e16f86ed"></a><!-- doxytag: member="MInputXIMArgIC::input_style" ref="a9f945020a38d416432b2a1b1e16f86ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">XIMStyle <a class="el" href="structMInputXIMArgIC.html#a9f945020a38d416432b2a1b1e16f86ed">MInputXIMArgIC::input_style</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Used as the arguments of <code>XCreateIC</code> following <code>XNInputStyle</code>. If this is zero, ( <code>XIMPreeditNothing</code> | <code>XIMStatusNothing</code>) is used, and &lt;preedit_attrs&gt; and &lt;status_attrs&gt; are set to <code>NULL</code>. </p>

</div>
</div>
<a class="anchor" id="a9e459828b3f36cf7a30beea663a513bf"></a><!-- doxytag: member="MInputXIMArgIC::client_win" ref="a9e459828b3f36cf7a30beea663a513bf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Window <a class="el" href="structMInputXIMArgIC.html#a9e459828b3f36cf7a30beea663a513bf">MInputXIMArgIC::client_win</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Used as the argument of <code>XCreateIC</code> following <code>XNClientWindow</code>. </p>

</div>
</div>
<a class="anchor" id="ad96f62a8c4719e174573dfc69eff23cc"></a><!-- doxytag: member="MInputXIMArgIC::focus_win" ref="ad96f62a8c4719e174573dfc69eff23cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Window <a class="el" href="structMInputXIMArgIC.html#ad96f62a8c4719e174573dfc69eff23cc">MInputXIMArgIC::focus_win</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Used as the argument of <code>XCreateIC</code> following <code>XNFocusWindow</code>. </p>

</div>
</div>
<a class="anchor" id="acf01c48f0adfc301e9d368a06c3a6bc1"></a><!-- doxytag: member="MInputXIMArgIC::preedit_attrs" ref="acf01c48f0adfc301e9d368a06c3a6bc1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">XVaNestedList <a class="el" href="structMInputXIMArgIC.html#acf01c48f0adfc301e9d368a06c3a6bc1">MInputXIMArgIC::preedit_attrs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>If non- <code>NULL</code>, used as the argument of <code>XCreateIC</code> following <code>XNPreeditAttributes</code>. </p>

</div>
</div>
<a class="anchor" id="a1a9ae7b2c14f94d82f544a76a720ced7"></a><!-- doxytag: member="MInputXIMArgIC::status_attrs" ref="a1a9ae7b2c14f94d82f544a76a720ced7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">XVaNestedList <a class="el" href="structMInputXIMArgIC.html#a1a9ae7b2c14f94d82f544a76a720ced7">MInputXIMArgIC::status_attrs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>If non- <code>NULL</code>, used as the argument of <code>XCreateIC</code> following <code>XNStatusAttributes</code>. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
